gtk.MountOperation
Prev | The gtk Class Reference | Next

## gtk.MountOperation

gtk.MountOperation — Functions for working with GIO (new in PyGTK 2.14)

## Synopsis

    class gtk.MountOperation(gio.MountOperation):
        def get_parent()
        def get_screen()
        def is_showing()
        def set_parent(parent)
        def set_screen(screen)

## Ancestry

    +-- gobject.GObject
      +-- gio.MountOperation
        +-- gtk.MountOperation

## gtk.MountOperation Properties

"is-showing" | Read | Are we showing a dialog. Default value: `False`.
"parent" | Read/Write | The parent window.
"screen" | Read/Write | The screen where this window will be displayed.

## Description

The functions and objects described here make working with GTK+ and GIO more convenient. `gtk.MountOperation` is needed when mounting volumes and `gtk.show_uri`() is a convenient way to launch applications for URIs. Another object that is worth mentioning in this context is `gtk.gdk.AppLaunchContext`, which provides visual feedback when lauching applications.

## Constructor

        gtk.MountOperation(parent=None)

`parent` : | transient parent of the window, or `None`.
Returns : | a new `gtk.MountOperation`.

### Note

This method is available in PyGTK 2.14 and above.

Creates a new `gtk.MountOperation`.

## Methods

### gtk.MountOperation.get_parent

        def get_parent()

Returns : | a new `gtk.MountOperation`.

### Note

This method is available in PyGTK 2.14 and above.

The `get_parent`() method gets the transient parent used by the `gtk.MountOperation`.

### gtk.MountOperation.get_screen

        def get_screen()

Returns : | the screen on which windows of op are shown.

### Note

This method is available in PyGTK 2.14 and above.

The `get_screen`() method gets the screen on which windows of the `gtk.MountOperation` will be shown.

### gtk.MountOperation.is_showing

        def is_showing()

Returns : | `True` if op is currently displaying a window.

### Note

This method is available in PyGTK 2.14 and above.

The `is_showing`() method returns whetherthe `gtk.MountOperation` is currently displaying a window.

### gtk.MountOperation.set_parent

        def set_parent(parent)

`parent` : | transient parent of the window, or `None`.

### Note

This method is available in PyGTK 2.14 and above.

The `set_parent`() method sets the transient parent for windows shown by the `gtk.MountOperation`.

### gtk.MountOperation.set_screen

        def set_screen(screen)

`screen` : | a `gtk.gdk.Screen`.

### Note

This method is available in PyGTK 2.14 and above.

The `set_screen`() method gets the screen on which windows of the `gtk.MountOperation` will be shown.

Prev | Up | Next
gtk.Misc | Home | gtk.Notebook